# zone\_metrics (nightly)

Fetch metrics at a zone level, where a metric is a measurement or insight with a single result. &#x20;

***metric\_name*** should be set to one of the metrics outlined in [Metrics and Features](/metrics-and-features.md)

***metric\_value*** is the result.

```graphql
// query
query zone_metrics(
  $limit: Int,
  $offset: Int,
  $order_by: [zone_metrics_order_by!],
  $where: zone_metrics_bool_exp
) {
  zone_metrics(
    limit: $limit,
    offset: $offset,
    order_by: $order_by,
    where: $where
  ) {
    id
    site_id
    zone_id
    group_id
    date_time_end
    date_time_start
    granularity
    metric_name
    metric_value
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.innerspace.io/deprecated-api-2025-05-26/api-reference-v1-deprecated/zone_metrics-nightly.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
